﻿<?xml version="1.0" encoding="utf-8" ?>
<ContentPage xmlns="http://xamarin.com/schemas/2014/forms"
             xmlns:x="http://schemas.microsoft.com/winfx/2009/xaml"
             xmlns:converter="clr-namespace:InventoryApp.ValueConverters"
             xmlns:prism="http://prismlibrary.com"
             xmlns:custom="clr-namespace:InventoryApp"
             prism:ViewModelLocator.AutowireViewModel="True"
             x:Class="InventoryApp.Views.ScanPageByReaderPage"
             NavigationPage.HasNavigationBar="True"
             Title="{Binding UxTitle}">
    
    <ContentPage.Content>
        <StackLayout>
            <Label Text="Search text" IsVisible="false"/>
            
            <Frame CornerRadius="8" Margin="8">
                <custom:MySearchBar x:Name="mSearchBar" 
                                Placeholder="Barcode" 
                                Text="{Binding ResultText}"
                                SearchCommand="{Binding SearchCommand}" />
            </Frame>



            <Grid Margin="8" Padding="0" RowSpacing="0" ColumnSpacing="4" BackgroundColor="#eeeeee" Opacity="1"
                  IsVisible="{Binding IsInventoryFound}"
                  RowDefinitions="20, auto, auto, auto, auto, auto, auto, auto">
                <Grid.ColumnDefinitions>
                    <ColumnDefinition  Width="auto" />
                    <ColumnDefinition  Width="*" />
                </Grid.ColumnDefinitions>
                <Label Grid.Row="0" Grid.ColumnSpan="2" Text="Inventory found" HorizontalTextAlignment="Center" VerticalTextAlignment="Center"
                       BackgroundColor="DarkGray" TextColor="White"/>

                <Label Grid.Row="1" Text="Accession Number" Padding="4,0"/>
                <Label Grid.Row="1" Grid.Column="1"  Text="{Binding ScannedInventory.AccessionNumber}" FontAttributes="Bold" />
                <Label Grid.Row="2" Text="Inventory Number" Padding="4,0"/>
                <Label Grid.Row="2" Grid.Column="1"  Text="{Binding ScannedInventory.inventory_number}" LineBreakMode="TailTruncation" Opacity="1"/>
                <Label Grid.Row="3" Text="Quantity on hand" Padding="4,0"/>
                <Label Grid.Row="3" Grid.Column="1"  Text="{Binding ScannedInventory.quantity_on_hand, StringFormat='{0:F0}'}" />
                <Label Grid.Row="4" Text="Plant name 1" Padding="4,0"/>
                <Label Grid.Row="4" Grid.Column="1"  Text="{Binding ScannedInventory.plant_name1}" LineBreakMode="TailTruncation" />
                <Label Grid.Row="5" Text="Plant name 2" Padding="4,0"/>
                <Label Grid.Row="5" Grid.Column="1"  Text="{Binding ScannedInventory.plant_name2}" LineBreakMode="TailTruncation" />
                <Label Grid.Row="6" Text="Quantity unit" Padding="4,0"/>
                <Label Grid.Row="6" Grid.Column="1"  Text="{Binding ScannedInventory.quantity_on_hand_unit}" LineBreakMode="TailTruncation" />
                <Label Grid.Row="7" Text="Location" Padding="4,0"/>
                <Label Grid.Row="7" Grid.Column="1"  Text="{Binding ScannedInventory.storage_location}" LineBreakMode="TailTruncation"/>
            </Grid>

            <StackLayout Orientation="Horizontal" Margin="0" Padding="16">
                <Label Text="{Binding UxLabelBarcodeFormat}" VerticalOptions="Center"/>
                <Picker ItemsSource="{Binding BarcodeFormatList}" ItemDisplayBinding="{Binding Title}" SelectedItem="{Binding BarcodeFormat}" HorizontalOptions="FillAndExpand">
                    <Picker.Behaviors>
                        <prism:EventToCommandBehavior EventName="SelectedIndexChanged" Command="{Binding BarcodeFormatChangedCommand}" />
                    </Picker.Behaviors>
                </Picker>
            </StackLayout>

            <Grid>
                <Button Grid.Row="0" Grid.Column="0" Text="{Binding UxButtonAddToList}"
                        TextColor="White"
                        BackgroundColor="Green"
                        Command="{Binding AcceptCommand}" Margin="4" HeightRequest="60"/>
                <Button Grid.Row="0" Grid.Column="1"
                        Text="{Binding UxButtonScanAgain}"
                        TextColor="White"
                        BackgroundColor="Orange"
                        Command="{Binding ScanAgainCommand}" Margin="4" HeightRequest="60"/>
                <Button Grid.Row="0" Grid.Column="2"
                        Text="{Binding UxButtonClose}"
                        TextColor="White"
                        BackgroundColor="DarkRed"
                        Command="{Binding CloseCommand}" Margin="4" HeightRequest="60"/>
            </Grid>
        </StackLayout>
    </ContentPage.Content>
</ContentPage>